Unverified Commit d0ee250b authored by prspkt's avatar prspkt

testing/py3-intervals: upgrade to 0.8.1

* Add checkdepends and run test suite
parent 4095d14f
......@@ -2,14 +2,15 @@
# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
pkgname=py3-intervals
_pkgname=intervals
pkgver=0.8.0
pkgrel=2
pkgver=0.8.1
pkgrel=0
pkgdesc="A Python module for handling intervals (ranges of comparable objects)"
url="https://github.com/kvesteri/intervals"
arch="noarch"
license="BSD-3-Clause"
depends="py3-infinity"
makedepends="py3-setuptools"
checkdepends="py3-pytest"
source="https://files.pythonhosted.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
builddir="$srcdir"/$_pkgname-$pkgver
......@@ -20,8 +21,12 @@ build() {
python3 setup.py build
}
check() {
py.test-3
}
package() {
python3 setup.py install --prefix=/usr --root="$pkgdir"
}
sha512sums="1953c9535c9d5dbf2080409000e9942b71416473d4856f6eb1e08e55576fce1e979d00563953afca59eed4a6ff8df2f52cf0557e88312416cf1294213e924c38 intervals-0.8.0.tar.gz"
sha512sums="f97142d5f1c8d4da21692b856803481878ac2b2afc3b81937de456bacbf66ebb129b1fe9a070ac442cbc6bbe26fdaf2ed839f8fc8b26392b4bd1ce032d054e65 intervals-0.8.1.tar.gz"
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment